/*
 *	enum/dragdrop.h
 *
 *	Helper file for OPDragDropProtocol definition.
 *
 *	(C) Copyright 1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

DEF_ENUM_BEGIN (OPDragDropProtocol)

DEF_ENUM (OP_DDP_DRAGnDROP,			0x0000),	//	drag & drop :
DEF_ENUM (OP_DDP_DRAGnDROP_CHECK,	0x0001),	//	- check if valid target
DEF_ENUM (OP_DDP_DRAGnDROP_ENTER,	0x0002),	//	- notify cursor entered responder
DEF_ENUM (OP_DDP_DRAGnDROP_LEAVE,	0x0003),	//	- notify cursor left responder
DEF_ENUM (OP_DDP_DRAGnDROP_MOTION,	0x0004),	//	- notify cursor moved over responder
DEF_ENUM (OP_DDP_DRAGnDROP_CANCEL,	0x0005),	//	- operation cancelled
DEF_ENUM (OP_DDP_DRAGnDROP_COMMIT,	0x0006),	//	- operation committed
DEF_ENUM (OP_DDP_DRAGnDROP_SUBST,	0x0007),	//	- substitute in place of real target
	
DEF_ENUM (OP_DDP_CONNECT,			0x0010),	//	connection :
DEF_ENUM (OP_DDP_CONNECT_CHECK,		0x0011),	//	- check if valid target
DEF_ENUM (OP_DDP_CONNECT_ENTER,		0x0012),	//	- notify cursor entered responder
DEF_ENUM (OP_DDP_CONNECT_LEAVE,		0x0013),	//	- notify cursor left responder
DEF_ENUM (OP_DDP_CONNECT_MOTION,	0x0014),	//	- notify cursor moved over responder
DEF_ENUM (OP_DDP_CONNECT_CANCEL,	0x0015),	//	- operation cancelled
DEF_ENUM (OP_DDP_CONNECT_COMMIT,	0x0016),	//	- operation committed
DEF_ENUM (OP_DDP_CONNECT_SUBST,		0x0017),	//	- substitute in place of real target
	
DEF_ENUM (OP_DDP_UI_EDIT,			0x0020),	//	dynamic user interface edition:
DEF_ENUM (OP_DDP_UI_EDIT_CHECK,		0x0021),	//	- check if valid target
	/*
	 *
	 */
DEF_ENUM (OP_DDP_UI_EDIT_COMMIT,	0x0026),	//	- operation committed
DEF_ENUM (OP_DDP_UI_EDIT_SUBST,		0x0027),	//	- substitute in place of real target

DEF_ENUM_END (OPDragDropProtocol)

/****************************************************************/

#undef	DEF_ENUM_BEGIN
#undef	DEF_ENUM
#undef	DEF_ENUM_END

/****************************************************************/
