/*
 *	operator_new.h
 *
 *	This file defines the operator new and delete.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#ifndef	_OPaC_OPERATOR_NEW_H_
#define	_OPaC_OPERATOR_NEW_H_

OP_PUBLIC void* opac_operator_new (size_t);
OP_PUBLIC void  opac_operator_delete (void*);
OP_PUBLIC void* opac_operator_new (size_t, OPRuntimeIn, void*, Card32, Count, const LatinChar*);
OP_PUBLIC void* opac_operator_new (size_t, void*, Count, const LatinChar*);
OP_PUBLIC void* opac_operator_new (size_t, OPMemZone*, const LatinChar*, Count, const LatinChar*);

/****************************************************************/

inline void*
operator new (size_t s)
{
	return opac_operator_new (s);
}

inline void
operator delete (void* ptr)
{
	opac_operator_delete (ptr);
}

inline void
operator delete[] (void* ptr)
{
	opac_operator_delete (ptr);
}

inline void*
operator new (size_t s, OPRuntimeIn r, void* b, Card32 l, Count x, const LatinChar* f)
{
	return opac_operator_new (s, r, b, l, x, f);
}

inline void*
operator new (size_t s, void* b, Count l, const LatinChar* f)
{
	return opac_operator_new (s, b, l, f);
}

inline void*
operator new [] (size_t s, void* b, Count l, const LatinChar* f)
{
	return opac_operator_new (s, b, l, f);
}

inline void*
operator new (size_t s, OPMemZone* z, const LatinChar* t, Count l, const LatinChar* f)
{
	return opac_operator_new (s, z, t, l, f);
}

inline void*
operator new [] (size_t s, OPMemZone* z, const LatinChar* t, Count l, const LatinChar* f)
{
	return opac_operator_new (s, z, t, l, f);
}

/****************************************************************/

#endif /* _OPaC_OPERATOR_NEW_H_ */
