/*
 *	sd_winmain.cxx
 *
 *  System dependent Unix/X11 initialisation.
 *
 *	(C) Copyright 1994-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

// Modified by Laurent Bovet 18.11.97

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#include "sd_interface.h"

extern void OPaC_MainInit ();


/****************************************************************/

OP_IMPLEMENTATION_FILE;

/****************************************************************/

/*
 *	This is the entry point for every application.
 */

Display* xdpy; // Pointer to the X display structure

// This is a global variable. It must be accessible
// by a lot of methods.
// This induces that an OPaC application can use
// one display (according to OPaC portability specs)


int
main ()
{
	// Open a connection to the X server.

	xdpy = XOpenDisplay(0);
	
	if (xdpy) {
		OPaC_MainInit ();
		XCloseDisplay (xdpy);
	}

	return 0;
}
