/*
 *	thread.cxx
 *
 *	Thread manipulation class.
 *
 *	(C) Copyright 1997-1998, Pierre ARNAUD, OPaC bright ideas
 *		CH-1437 SUSCEVAZ, Switzerland. All rights reserved.
 */

/******************************************************************************

  This file is part of the OPaC class library ("OPaC").

  OPaC is distributed with NO WARRANTY OF ANY KIND.  No author or distributor
  accepts any responsibility for the consequences of using it, or for whether
  it serves any particular purpose or works at all, unless he or she says so
  in writing. Refer to the OPaC Free Public License (the "License") for full
  details.

  Every copy of OPaC must include a copy of the License, normally in a plain
  ASCII text file named PUBLIC. The License grants you the right to copy,
  modify and redistribute OPaC, but only under certain conditions described
  in the License. The copyright notice and this notice must be preserved on
  all copies.

******************************************************************************/

#include <OPaC/thread.h>

/****************************************************************/

OP_IMPLEMENTATION_FILE;
OP_IMPLEMENT_CLASS (OPThread);

/****************************************************************/

OPThread::OPThread ()
{
	OP_METHOD (OPThread, 0);
	
	this->is_running = FALSE;
	this->is_dead    = FALSE;
}

OPThread::~OPThread ()
{
	OP_METHOD (~OPThread, 0);
}

Bool
OPThread::SetPerformer (OPPerformerIn performer)
{
	OP_METHOD (SetPerformer, 1);
	OP_ARG (1, OPPerformerIn, performer);
	
	if ( (this->IsRunning ())
	  || (this->IsDead ()) ) {
		return FALSE;
	}
	
	this->performer = performer;
	
	return TRUE;
}

Bool
OPThread::IsRunning () const
{
	OP_METHOD (IsRunning, 0);
	return this->is_running;
}

Bool
OPThread::IsDead () const
{
	OP_METHOD (IsDead, 0);
	return this->is_dead;
}

/****************************************************************/
